Subject: [netatalk-admins] config problems

From: John Barry -Technician <[email-masked]>
Date: Wed, 8 Oct 97 11:02:14 BST

Hi,
I'm having problems getting netatalk to offer me the correct volumes on login
I'm running 1.4b2+asun2.0a15 on SunOS 4.1.3_U1 my .AppleVolumes files looks
like this:

#
# This file is the users AppleVolume file. It specifies which icons will
# be shown in file folders and which volumes are available. ~ is the users
# home account.
#
~
/apps/bin.SunOS "applications"
/iws/   "Intranet Area"
 
# default translation -- note that CR <-> LF translation is done on all
# files of type TEXT.  The first line turns off translation for files of
# unknown type, the second turns this translation on.
.       BINA    UNIX
# .       TEXT    UNIX
 
# sounds
.8med   STrk    SCPL
[snip]

It used to work, I used to see all three volumes, now all I see is my home
account. I've even copied .AppleVolumes to .AppleVolume, but with no results.
I figure I must be missing something, but I can't think what? I get the same
behaviour regardless of whether the unix box is on the same subnet, or I use
an IP address to access the development machine on a totally different subnet.
(and I think that one's at (a13))

anybody?
later
jb

---

From: John Barry -Technician <[email-masked]>
Date: Wed, 8 Oct 97 11:33:02 BST

> i find that this means youve installed a new version which is looking at
> the wrong file.
> 
> eg., my files were originally in /etc
> 
> but are now in /usr/local/atalk/etc/
> 
> and if i modify the original ones in /etc, it has no effect.
> 
> also, you can safely use the default files provided, and link
> .Apple*.system to .Apple*.default - the two files are effectively the same.

Erm, yes and no...

While I agree with the general sentiment, shouldn't netatalk look in you home
account and use that file first? If not what's the use of having a personal
.AppleVolumes file? On the same note, I'm using Netatalk to serve a lab of 20
macs. Any of which might be used by one of 2,600 users. I've written a perl
program which creates a few symbolic links within a given account (or a list
thereof) and also creates the specific .AppleVolume account for each user,
since each has to mount at least one automounted user specific directory:

#
~
/apps/bin.SunOS "applications"
/iws/<specific userID>   "Intranet Area"

I *can't* use a generic .AppleVolumes file, it simply *won't* work they have
to be user specific.

That's the part I can't get to work. I have had it working, it just won't work
now.
later
jb